package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 手表
 * </p>
 *
 * @author wh
 * @since 2024-07-16
 */
@TableName("watch")
@ApiModel(value="Watch对象", description="手表")
public class Watch extends Model<Watch> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "型号")
    @TableField("marking")
    private String marking;

    @ApiModelProperty(value = "设备名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "硬件版本")
    @TableField("hardware_version")
    private String hardwareVersion;

    @ApiModelProperty(value = "软件版本")
    @TableField("software_version")
    private String softwareVersion;

    @ApiModelProperty(value = "运营商")
    @TableField("operator")
    private String operator;

    @ApiModelProperty(value = "IMEI")
    @TableField("imei")
    private String imei;

    @ApiModelProperty(value = "序列号")
    @TableField("serial_number")
    private String serialNumber;

    @ApiModelProperty(value = "机身存储")
    @TableField("storage")
    private String storage;

    @ApiModelProperty(value = "手表蓝牙")
    @TableField("watch_bluetooth")
    private String watchBluetooth;

    @ApiModelProperty(value = "手表mac")
    @TableField("watch_mac")
    private String watchMac;

    @ApiModelProperty(value = "手表电池电量")
    @TableField("watch_battery")
    private Integer watchBattery;

    @ApiModelProperty(value = "手机蓝牙")
    @TableField("mobile_bluetooth")
    private String mobileBluetooth;

    @ApiModelProperty(value = "手机mac")
    @TableField("mobile_mac")
    private String mobileMac;

    @ApiModelProperty(value = "手机号")
    @TableField("mobile")
    private String mobile;

    @ApiModelProperty(value = "用户名")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "用户ID")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty(value = "在线状态0:离线;1:在线")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "上线时间")
    @TableField("on_time")
    private Date onTime;

    @ApiModelProperty(value = "离线时间")
    @TableField("off_time")
    private Date offTime;

    @ApiModelProperty(value = "首次绑定时间")
    @TableField("first_bind_time")
    private Date firstBindTime;

    @ApiModelProperty(value = "当前站点绑定时间")
    @TableField("district_on_time")
    private Date districtOnTime;

    @ApiModelProperty(value = "蓝牙在线状态0:离线;1:在线")
    @TableField("blue_status")
    private Integer blueStatus;

    @ApiModelProperty(value = "绑定状态0:未绑定;1:已绑定")
    @TableField("bind_status")
    private Integer bindStatus;

    @ApiModelProperty(value = "nfc状态0:关闭;1:开启")
    @TableField("nfc_status")
    private Integer nfcStatus;

    @ApiModelProperty(value = "放大镜开关0:关闭;1:开启")
    @TableField("magnifier_status")
    private Integer magnifierStatus;

    @ApiModelProperty(value = "所属代理ID")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "所属物业ID")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "站点ID")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "所属代理")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "所属物业")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "所属站点")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "app版本")
    @TableField("app_version")
    private String appVersion;

    @ApiModelProperty(value = "系统版本")
    @TableField("sys_version")
    private String sysVersion;

    @ApiModelProperty(value = "room版本")
    @TableField("room_version")
    private String roomVersion;

    @ApiModelProperty(value = "网络类型0:4G;1:无线")
    @TableField("network_type")
    private String networkType;

    @ApiModelProperty(value = "信标数量")
    @TableField("beacon_count")
    private Integer beaconCount;

    @ApiModelProperty(value = "震动开关")
    @TableField("stock_status")
    private Integer stockStatus;

    @ApiModelProperty(value = "语音开关")
    @TableField("voice_status")
    private Integer voiceStatus;

    @ApiModelProperty(value = "音量")
    @TableField("voice_value")
    private Integer voiceValue;

    @ApiModelProperty(value = "蓝牙工作模式0:关闭;1:开启")
    @TableField("blue_work_state")
    private Integer blueWorkState;

    @ApiModelProperty(value = "app定制版本")
    @TableField("app_customized_version")
    private String appCustomizedVersion;

    @ApiModelProperty(value = "是否定制升级0:否;1:是")
    @TableField("app_customized_flag")
    private Integer appCustomizedFlag;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public String getMarking() {
        return marking;
    }

    public void setMarking(String marking) {
        this.marking = marking;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getHardwareVersion() {
        return hardwareVersion;
    }

    public void setHardwareVersion(String hardwareVersion) {
        this.hardwareVersion = hardwareVersion;
    }

    public String getSoftwareVersion() {
        return softwareVersion;
    }

    public void setSoftwareVersion(String softwareVersion) {
        this.softwareVersion = softwareVersion;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getImei() {
        return imei;
    }

    public void setImei(String imei) {
        this.imei = imei;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getStorage() {
        return storage;
    }

    public void setStorage(String storage) {
        this.storage = storage;
    }

    public String getWatchBluetooth() {
        return watchBluetooth;
    }

    public void setWatchBluetooth(String watchBluetooth) {
        this.watchBluetooth = watchBluetooth;
    }

    public String getWatchMac() {
        return watchMac;
    }

    public void setWatchMac(String watchMac) {
        this.watchMac = watchMac;
    }

    public Integer getWatchBattery() {
        return watchBattery;
    }

    public void setWatchBattery(Integer watchBattery) {
        this.watchBattery = watchBattery;
    }

    public String getMobileBluetooth() {
        return mobileBluetooth;
    }

    public void setMobileBluetooth(String mobileBluetooth) {
        this.mobileBluetooth = mobileBluetooth;
    }

    public String getMobileMac() {
        return mobileMac;
    }

    public void setMobileMac(String mobileMac) {
        this.mobileMac = mobileMac;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getOnTime() {
        return onTime;
    }

    public void setOnTime(Date onTime) {
        this.onTime = onTime;
    }

    public Date getOffTime() {
        return offTime;
    }

    public void setOffTime(Date offTime) {
        this.offTime = offTime;
    }

    public Date getFirstBindTime() {
        return firstBindTime;
    }

    public void setFirstBindTime(Date firstBindTime) {
        this.firstBindTime = firstBindTime;
    }

    public Date getDistrictOnTime() {
        return districtOnTime;
    }

    public void setDistrictOnTime(Date districtOnTime) {
        this.districtOnTime = districtOnTime;
    }

    public Integer getBlueStatus() {
        return blueStatus;
    }

    public void setBlueStatus(Integer blueStatus) {
        this.blueStatus = blueStatus;
    }

    public Integer getBindStatus() {
        return bindStatus;
    }

    public void setBindStatus(Integer bindStatus) {
        this.bindStatus = bindStatus;
    }

    public Integer getNfcStatus() {
        return nfcStatus;
    }

    public void setNfcStatus(Integer nfcStatus) {
        this.nfcStatus = nfcStatus;
    }

    public Integer getMagnifierStatus() {
        return magnifierStatus;
    }

    public void setMagnifierStatus(Integer magnifierStatus) {
        this.magnifierStatus = magnifierStatus;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getAppVersion() {
        return appVersion;
    }

    public void setAppVersion(String appVersion) {
        this.appVersion = appVersion;
    }

    public String getSysVersion() {
        return sysVersion;
    }

    public void setSysVersion(String sysVersion) {
        this.sysVersion = sysVersion;
    }

    public String getRoomVersion() {
        return roomVersion;
    }

    public void setRoomVersion(String roomVersion) {
        this.roomVersion = roomVersion;
    }

    public String getNetworkType() {
        return networkType;
    }

    public void setNetworkType(String networkType) {
        this.networkType = networkType;
    }

    public Integer getBeaconCount() {
        return beaconCount;
    }

    public void setBeaconCount(Integer beaconCount) {
        this.beaconCount = beaconCount;
    }

    public Integer getStockStatus() {
        return stockStatus;
    }

    public void setStockStatus(Integer stockStatus) {
        this.stockStatus = stockStatus;
    }

    public Integer getVoiceStatus() {
        return voiceStatus;
    }

    public void setVoiceStatus(Integer voiceStatus) {
        this.voiceStatus = voiceStatus;
    }

    public Integer getVoiceValue() {
        return voiceValue;
    }

    public void setVoiceValue(Integer voiceValue) {
        this.voiceValue = voiceValue;
    }

    public Integer getBlueWorkState() {
        return blueWorkState;
    }

    public void setBlueWorkState(Integer blueWorkState) {
        this.blueWorkState = blueWorkState;
    }

    public String getAppCustomizedVersion() {
        return appCustomizedVersion;
    }

    public void setAppCustomizedVersion(String appCustomizedVersion) {
        this.appCustomizedVersion = appCustomizedVersion;
    }

    public Integer getAppCustomizedFlag() {
        return appCustomizedFlag;
    }

    public void setAppCustomizedFlag(Integer appCustomizedFlag) {
        this.appCustomizedFlag = appCustomizedFlag;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Watch{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", marking=" + marking +
        ", name=" + name +
        ", hardwareVersion=" + hardwareVersion +
        ", softwareVersion=" + softwareVersion +
        ", operator=" + operator +
        ", imei=" + imei +
        ", serialNumber=" + serialNumber +
        ", storage=" + storage +
        ", watchBluetooth=" + watchBluetooth +
        ", watchMac=" + watchMac +
        ", watchBattery=" + watchBattery +
        ", mobileBluetooth=" + mobileBluetooth +
        ", mobileMac=" + mobileMac +
        ", mobile=" + mobile +
        ", userName=" + userName +
        ", userId=" + userId +
        ", status=" + status +
        ", onTime=" + onTime +
        ", offTime=" + offTime +
        ", firstBindTime=" + firstBindTime +
        ", districtOnTime=" + districtOnTime +
        ", blueStatus=" + blueStatus +
        ", bindStatus=" + bindStatus +
        ", nfcStatus=" + nfcStatus +
        ", magnifierStatus=" + magnifierStatus +
        ", agentId=" + agentId +
        ", propertyId=" + propertyId +
        ", districtId=" + districtId +
        ", agentName=" + agentName +
        ", propertyName=" + propertyName +
        ", districtName=" + districtName +
        ", appVersion=" + appVersion +
        ", sysVersion=" + sysVersion +
        ", roomVersion=" + roomVersion +
        ", networkType=" + networkType +
        ", beaconCount=" + beaconCount +
        ", stockStatus=" + stockStatus +
        ", voiceStatus=" + voiceStatus +
        ", voiceValue=" + voiceValue +
        ", blueWorkState=" + blueWorkState +
        ", appCustomizedVersion=" + appCustomizedVersion +
        ", appCustomizedFlag=" + appCustomizedFlag +
        "}";
    }
}
